Get Me
GET /auth/meResponses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | PrincipalView |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/auth/me \ -H "Authorization: Bearer $COBRE_TOKEN"Response — PrincipalView
Section titled “Response — PrincipalView”| Field | Type | Notes | |
|---|---|---|---|
principal_kind | user | service_key | system | required | — |
principal_id | string (uuid) | null | optional | — |
email | string | null | optional | — |
full_name | string | null | optional | — |
role | viewer | member | admin | owner | operator | required | — |
scope | workspace | organization | platform | required | — |
organization_id | string (uuid) | null | optional | — |
workspace_id | string (uuid) | null | optional | — |
acting_as_id | string (uuid) | null | optional | — |
permissions | string[] | optional | — |